curl --request POST \
--url https://api.linkup.so/v1/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "All engineering team members with their name, role, and profile page",
"schema": {
"properties": {
"name": {
"description": "Full name",
"type": "string"
},
"profileUrl": {
"format": "uri",
"type": "string"
},
"role": {
"type": "string"
}
},
"required": [
"name",
"profileUrl"
],
"type": "object"
},
"url": "https://example.com/team",
"verifyUrls": true
}
'import requests
url = "https://api.linkup.so/v1/extract"
payload = {
"q": "All engineering team members with their name, role, and profile page",
"schema": {
"properties": {
"name": {
"description": "Full name",
"type": "string"
},
"profileUrl": {
"format": "uri",
"type": "string"
},
"role": { "type": "string" }
},
"required": ["name", "profileUrl"],
"type": "object"
},
"url": "https://example.com/team",
"verifyUrls": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: 'All engineering team members with their name, role, and profile page',
schema: {
properties: {
name: {description: 'Full name', type: 'string'},
profileUrl: {format: 'uri', type: 'string'},
role: {type: 'string'}
},
required: ['name', 'profileUrl'],
type: 'object'
},
url: 'https://example.com/team',
verifyUrls: true
})
};
fetch('https://api.linkup.so/v1/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "<string>",
"url": "https://example.com/team",
"schema": null,
"verifyUrls": false
},
"output": {
"creditsUsed": 1,
"resultUrl": "<string>",
"rowsReturned": 4503599627370495
},
"type": "<string>"
}/extract
[BETA] The POST /extract method creates an asynchronous extract task.
Get your API key
GET /v1/extract/:id to poll for
the result, or GET /v1/extract
to list all your extract tasks.q, url, schema, and verifyUrls,
see the Extract overview.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
[BETA] Input for an extract task. The extract task type is in beta; its behavior and response shape may change.
[BETA] The natural-language query describing which rows to extract and what each row should contain.
[BETA] The seed URL the extract task should start from.
"https://example.com/team"
[BETA] Optional JSON schema describing a single extracted row. When provided, every returned row must match this schema.
[BETA] Defines whether URLs found in extracted rows should be checked for reachability after extraction. Defaults to false.
Response
Extract task created successfully.
[BETA] Extract task output. The extract task type is in beta; its behavior and response shape may change.
The date and time when the task was created.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2026-01-01T00:00:00.000Z"
The error message if the task failed.
The unique identifier of the task.
"01234-abcd-56789"
The current status of the task.
completed, failed, pending, processing "completed"
The date and time when the task status was last updated.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2026-01-01T00:00:00.000Z"
[BETA] Input for an extract task. The extract task type is in beta; its behavior and response shape may change.
Show child attributes
Show child attributes
[BETA] Output for an extract task. The extracted rows are stored as an NDJSON file and exposed through a time-limited URL. The extract task type is in beta; its behavior and response shape may change.
Show child attributes
Show child attributes
"extract"